from setuptools import setup, find_packages

setup(
    name="pymportx",
    version="0.2.0",
    author="Pena Gonzalez, P., Lozano-Paredes, D., Rojo, J. L., Bote-Curiel, L., & Sanchez-Arevalo Lobo, V. J.",
    author_email="victor.sanchezarevalo@ufv.es, luis.bote@urjc.es",
    description="Pymportx is a Python package designed for fast gene count estimation using transcript quantification files generated by pseudoalignment or quasi-mapping tools. It is a Python adaptation of the widely-used Tximport R package from Bioconductor.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/victorsanchezarevalo/Pymportx",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=[
        "numpy>=1.18.0",
        "pandas>=1.0.0",
        "h5py>=3.1.0",
        "anndata>=0.7.5"
    ],
)
